# CameraActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``CameraActuator`(Actuator)
  `axis`

    Axis the Camera will try to get behind

    - `POS_X` +X, Camera tries to get behind the X axis.
    - `POS_Y` +Y, Camera tries to get behind the Y axis.
    - `NEG_X` -X, Camera tries to get behind the -X axis.
    - `NEG_Y` -Y, Camera tries to get behind the -Y axis.

    Type: | enum in [‘POS_X’, ‘POS_Y’, ‘NEG_X’, ‘NEG_Y’], default ‘POS_X’

  `damping`

    Strength of the constraint that drives the camera behind the target

    Type: | float in [0, 10], default 0.0

  `height`

    Type: | float in [-inf, inf], default 0.0

  `max`

    Type: | float in [-inf, inf], default 0.0

  `min`

    Type: | float in [-inf, inf], default 0.0

  `object`

    Look at this Object

    Type: | `Object`

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`